Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn more

View all

Sign in to view all badges

SOLVED

core components 2.11.1 in archetype 23

Aryan12345
Level 3
Level 3

Two quick questions.

1. Is archetype 23 the latest for aem 6.5 SP 6?

2. How can I get core components 2.11.1 (latest) to work with this archetype? I changed the POM to reflect this version and i get error.

[ERROR] Failed to execute goal on project aem656.all: Could not resolve dependencies for project com.aem656:aem656.all:content-package:1.0-SNAPSHOT: Failure to find com.adobe.cq:core.wcm.components.examples:zip:2.11.0 in https://repo.adobe.com/nexus/content/groups/public was cached in the local repository, resolution will not be reattempted until the update interval of adobe-public-releases has elapsed or updates are forced -> [Help 1]

1 Accepted Solution
Theo_Pendle
Correct answer by
Community Advisor
Community Advisor

Hi @Aryan12345,

Could the issue be caused by the way you fetch your artifacts? What version of core components were you using before? 

Since v2.7.0, the core components artifacts are no longer available on the Adobe Public repo, as you can see here: https://repo.adobe.com/nexus/content/groups/public/com/adobe/cq/core.wcm.components.core/

Theo_Pendle_0-1599842453825.png

However, based on your error message, it seems like you are still trying to use the public Adobe repo. Instead, you should be fetching them from Maven Central. You can see this in my build of the Archetype 23 with Core Components v2.11.1

Theo_Pendle_1-1599842518063.png

As you can see, the artifact is not found on the adobe public repo or the experience cloud repo 😕

This is the project I built without a problem (its just the Archetype 23 with a single change: bumping the Core Components version to 2.11.1) : https://filebin.net/nxqk9qqf8qj8xysm  

 

View solution in original post

5 Replies
Veena_Vikram
Community Advisor
Community Advisor

Hi @Aryan12345 

 

1. Latest AEM archetype is 23 . Please refer https://github.com/adobe/aem-project-archetype

 

2. Why do you have to change the core components archetype ? 

 

Thanks

Veena

Aryan12345
Level 3
Level 3
That seems to be the latest version on GitHub. So wanted to have that. Any idea how? https://github.com/adobe/aem-core-wcm-components
Veena_Vikram
Community Advisor
Community Advisor

I don't think archetype is something you can change in the pom.xml, once project is created using a particular archetype.

 

I would like more expert opinion here @Jörg_Hoh @Arun_Patidar @Theo_Pendle 

Theo_Pendle
Correct answer by
Community Advisor
Community Advisor

Hi @Aryan12345,

Could the issue be caused by the way you fetch your artifacts? What version of core components were you using before? 

Since v2.7.0, the core components artifacts are no longer available on the Adobe Public repo, as you can see here: https://repo.adobe.com/nexus/content/groups/public/com/adobe/cq/core.wcm.components.core/

Theo_Pendle_0-1599842453825.png

However, based on your error message, it seems like you are still trying to use the public Adobe repo. Instead, you should be fetching them from Maven Central. You can see this in my build of the Archetype 23 with Core Components v2.11.1

Theo_Pendle_1-1599842518063.png

As you can see, the artifact is not found on the adobe public repo or the experience cloud repo 😕

This is the project I built without a problem (its just the Archetype 23 with a single change: bumping the Core Components version to 2.11.1) : https://filebin.net/nxqk9qqf8qj8xysm  

 

View solution in original post